#ifndef FILTER_COMPARISON_H_
#define FILTER_COMPARISON_H_

#include <sqlextract/filter/filter_core.h>

struct filter_t *filter_create_comp_gt(struct filter_t *lhs,
		struct filter_t *rhs);
struct filter_t *filter_create_comp_lt(struct filter_t *lhs,
		struct filter_t *rhs);

struct filter_t *filter_create_comp_ge(struct filter_t *lhs,
		struct filter_t *rhs);
struct filter_t *filter_create_comp_le(struct filter_t *lhs,
		struct filter_t *rhs);

struct filter_t *filter_create_comp_eq(struct filter_t *lhs,
		struct filter_t *rhs);

struct filter_t *filter_create_comp_is(struct filter_t *lhs,
		struct filter_t *rhs);

struct filter_t *filter_create_between(struct filter_t *val,
		struct filter_t *low, struct filter_t *high);

#endif
